using System;
using System.Collections.Generic;
using System.Linq;

namespace Okruzno_IlijaDoncic
{
    class Program
    {
        static void Main()
        {
            string[] unos = Console.ReadLine().Split();
            int n = int.Parse(unos[0]);
            int m = int.Parse(unos[1]);
            for (int i = 0; i < n; i++)
            {
                unos = Console.ReadLine().Split();
            }
            Console.WriteLine(1);
        }
    }
}